CREATE TABLE load_s1
(
  hour        STRING, 
  measured    STRING 
) 
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ','
  LINES TERMINATED BY '\n'
  STORED AS TEXTFILE
  LOCATION '/user/WDN/T0/sensor1'

CREATE TABLE load_s2
(
  hour        STRING, 
  measured    STRING 
) 
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ','
  LINES TERMINATED BY '\n'
  STORED AS TEXTFILE
  LOCATION '/user/WDN/T0/sensor2'

   
CREATE EXTERNAL TABLE sensor1
(
  hour        STRING, 
  measured     DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T1/sensor1'

CREATE EXTERNAL TABLE sensor2
(
  hour        STRING, 
  measured     DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T1/sensor2'

CREATE EXTERNAL TABLE sensor1_T2
(
  time      STRING, 
  month     STRING,
  day       STRING,
  hour      STRING,
  weekday   STRING,
  measured  DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T2/sensor1';

CREATE EXTERNAL TABLE sensor2_T2
(
  time      STRING, 
  month     STRING,
  day       STRING,
  hour      STRING,
  weekday   STRING,
  measured  DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T2/sensor2';


CREATE EXTERNAL TABLE sensor1_T3
(
  time      BIGINT, 
  month     INT,
  day       INT,
  hour      INT,
  workingday  INT,
  holiday   INT,
  measured  DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T3/sensor1';



CREATE EXTERNAL TABLE sensor2_T3
(
  time      BIGINT, 
  month     INT,
  day       INT,
  hour      INT,
  workingday  INT,
  holiday   INT,
  measured  DOUBLE 
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/T3/sensor2';


  CREATE EXTERNAL TABLE sensors
(
  time      BIGINT, 
  month     INT,
  day       INT,
  hour      INT,
  workingday INT,
  demand  DOUBLE,
  pressure  DOUBLE
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/refinedData/sensors';


  CREATE EXTERNAL TABLE holiday
(
  holiday      STRING
) 
  LOCATION '/user/WDN/rawData/holiday';


  CREATE EXTERNAL TABLE consumption
(
  time          BIGINT,
  month         INT,
  hour          INT, 
  day           INT,
  workingday    INT,
  season        INT,
  demand        DOUBLE,
  pressure      DOUBLE
) 
  PARTITIONED BY (date STRING)
  ROW FORMAT DELIMITED
  FIELDS TERMINATED BY ';'
  LOCATION '/user/WDN/refinedData/consumption'